Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MWAWFont::Line Struct Reference

a small struct to define a line in MWAWFont More...

`#include <MWAWFont.hxx>`

## Public Types
enum | Style { None, Simple, Dot, LargeDot, Dash, Wave }
| the line style More...
enum | Type { Single, Double, Triple }
| the line style More...

## Public Member Functions
| Line (Style style=None, Type type=Single, bool wordFlag=false, float w=1.0)
| constructor More...
bool | isSet () const
| return true if the line is not empty More...
void | addTo (librevenge::RVNGPropertyList &propList, std::string const &type) const
| add a line to the propList knowing the type (line-through, underline, overline ) More...
bool | operator== (Line const &oth) const
| operator== More...
bool | operator!= (Line const &oth) const
| operator!= More...
int | cmp (Line const &oth) const
| small comparison function More...

## Public Attributes
Style | m_style
| the style More...
Type | m_type
| the type More...
float | m_width
| the width in point More...
MWAWVariable< MWAWColor > | m_color
| the color ( if not set, we use the font color ) More...
bool | m_word
| word or not word line More...

## Friends
std::ostream & | operator<< (std::ostream &o, Line const &line)
| operator<< More...

## Detailed Description

a small struct to define a line in MWAWFont

## Member Enumeration Documentation

## ◆ Style

enum MWAWFont::Line::Style

the line style

Enumerator
None |
Simple |
Dot |
LargeDot |
Dash |
Wave |

## ◆ Type

enum MWAWFont::Line::Type

the line style

Enumerator
Single |
Double |
Triple |

## Constructor & Destructor Documentation

## ◆ Line()

MWAWFont::Line::Line | ( | Style | style = `None`,
|  | Type | type = `Single`,
|  | bool | wordFlag = `false`,
|  | float | w = `1.0`
| ) |  |
| inline

constructor

Referenced by MWAWFont::resetDecorationLines(), MWAWFont::setOverlineStyle(), MWAWFont::setStrikeOutStyle(), and MWAWFont::setUnderlineStyle().

## Member Function Documentation

## ◆ addTo()

void MWAWFont::Line::addTo | ( | librevenge::RVNGPropertyList & | propList,
|  | std::string const & | type
| ) |  | const

add a line to the propList knowing the type (line-through, underline, overline )

Referenced by MWAWFont::addTo(), isSet(), and MWAWFont::setLanguage().

## ◆ cmp()

int MWAWFont::Line::cmp | ( | Line const & | oth | ) | const
| inline

small comparison function

Referenced by operator!=(), MWAWFont::Script::operator!=(), MWAWFont::operator!=(), MWAWFont::Script::operator<(), MWAWFont::Script::operator<=(), operator==(), MWAWFont::Script::operator==(), MWAWFont::operator==(), MWAWFont::Script::operator>(), and MWAWFont::Script::operator>=().

## ◆ isSet()

bool MWAWFont::Line::isSet | ( |  | ) | const
| inline

return true if the line is not empty

Referenced by addTo(), LightWayTxtTextInternal::Font::merge(), operator<<(), MoreText::sendText(), MWAWFont::Script::str(), and MsWrdStruct::Font::updateFontToFinalState().

## ◆ operator!=()

bool MWAWFont::Line::operator!= | ( | Line const & | oth | ) | const
| inline

operator!=

## ◆ operator==()

bool MWAWFont::Line::operator== | ( | Line const & | oth | ) | const
| inline

operator==

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWFont::Line const & | line
| ) |  |
| friend

operator<<

Referenced by isSet().

## Member Data Documentation

## ◆ m_color

MWAWVariable<MWAWColor> MWAWFont::Line::m_color

the color ( if not set, we use the font color )

Referenced by addTo(), MWAWFont::addTo(), MWAWFont::addToListLevel(), cmp(), MWAWFont::cmp(), MWAWFont::getColor(), MWAWFont::getDebugString(), MWAWFont::hasColor(), MWAWFont::insert(), operator<<(), MWAWFont::resetColor(), and MWAWFont::setColor().

## ◆ m_style

Style MWAWFont::Line::m_style

the style

Referenced by addTo(), cmp(), isSet(), operator<<(), MsWrdTextStyles::readFont(), and RagTime5StyleManager::updateTextStyles().

## ◆ m_type

Type MWAWFont::Line::m_type

the type

Referenced by addTo(), cmp(), operator<<(), and RagTime5StyleManager::updateTextStyles().

## ◆ m_width

float MWAWFont::Line::m_width

the width in point

Referenced by addTo(), cmp(), isSet(), and operator<<().

## ◆ m_word

bool MWAWFont::Line::m_word

word or not word line

Referenced by addTo(), cmp(), operator<<(), and RagTime5StyleManager::updateTextStyles().

The documentation for this struct was generated from the following files:

- MWAWFont.hxx
- MWAWFont.cxx